Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class FontFamilyProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.ListProperty
              org.apache.fop.fo.properties.FontFamilyProperty

public final class FontFamilyProperty
extends ListProperty

Property class for the font-family property.

Nested Class Summary
`static class` | `FontFamilyProperty.Maker` Inner class for creating instances of ListProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.ListProperty
`list`

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Method Summary
`void` | `addProperty(Property prop)` Add a new property to the list
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getString()` This method expects to be overridden by subclasses.
`int` | `hashCode()`

Methods inherited from class org.apache.fop.fo.properties.ListProperty
`getList, getObject`

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### addProperty

    public void addProperty(Property prop)

  Add a new property to the list

  Overrides:
    `addProperty` in class `ListProperty`
  Parameters:
    `prop` - Property to be added to the list

### getString

    public java.lang.String getString()

  This method expects to be overridden by subclasses.

  Overrides:
    `getString` in class `Property`
  Returns:
    String property value

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.